﻿/* navbar-ui-1 */
.navbar-ui-1 .navbar-brand {
    font-weight: bold;
    display: flex;
    align-items: center;
    font-size: 24px;
}

    .navbar-ui-1 .navbar-brand svg {
        margin-right: 10px;
    }






body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    background: #f7f9fa;
    font-weight: 400;
    font-size: 14px;
    color: #3a3a3a;
}

a {
    text-decoration: none;
}

/* ui page changes */
.pages-head-1 {
    display: flex;
    align-content: center;
    justify-content: space-between;
}

    .pages-head-1 .title-1 {
        color: #101828;
        font-size: 24px;
        font-weight: 700;
    }
/* buttons */
.button-primary {
    background: #FFFFFF;
    border: 1px solid #9D61FF;
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 8px;
    display: inline-flex;
    padding: 10px 20px;
    color: #9D61FF;
    margin-left: 5px;
    margin-right: 5px;
    align-items: center;
    justify-content: center;
    min-height: 40px;
    text-decoration: none;
}

    .button-primary.active {
        border: 1px solid #9D61FF;
        color: #FFFFFF;
        background: #9D61FF;
    }

    .button-primary.btn-light {
        border: 1px solid #D0D5DD;
        color: #344054;
        background: #fff;
    }

.quest-xls {
    background: #FFFFFF;
    border: 1px solid #9D61FF;
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 8px 0 0 8px;
    display: inline-flex;
    padding: 10px 50px;
    color: #9D61FF;
    margin-left: 5px;
    margin-right: 5px;
    align-items: center;
    justify-content: center;
    border: 1px solid #D0D5DD;
    color: #344054;
    background: #fff;
    margin-right: -4px;
}

    .quest-xls.q-single {
        border-radius: 8px;
        width: 100%;
        height: 40px;
        padding: 6px 50px;
    }

.quest-csx {
    background: #FFFFFF;
    border: 1px solid #9D61FF;
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 0 8px 8px 0;
    display: inline-flex;
    padding: 10px 50px;
    color: #9D61FF;
    margin-left: 5px;
    margin-right: 5px;
    align-items: center;
    justify-content: center;
    border: 1px solid #9D61FF;
    color: #FFFFFF;
    background: #9D61FF;
    margin-left: 0;
}

.bul-upld {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    color: #344054;
    margin-right: 18px !important;
    margin-top: 11px !important;
}

.button-primary svg, .fa {
    margin-right: 7px;
}

    .button-primary svg path {
        fill: #000;
    }

.button-primary.active svg path {
    fill: #fff;
}

.button-primary:hover {
    border: 1px solid #9D61FF;
    color: #9D61FF;
    background: #fff;
}

    .button-primary:hover svg path {
        fill: #000;
    }

.button-primary.active:hover svg path {
    fill: #000;
}



/* header */

.header {
    background: #f1f3f3;
    padding-top: 25px;
    padding-bottom: 25px;
}

    .header .header-top-row {
        display: flex;
    }

    .header .head-logo {
        width: 250px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .header .head-logo .h-logo {
            color: #F00;
            font-size: 24px;
            font-weight: bold;
        }

    .header .head-menu {
        margin: 0;
        padding: 0;
        list-style-type: none;
        display: flex;
    }

        .header .head-menu li {
            margin: 0 10px;
        }

            .header .head-menu li a {
                background: #9680BB;
                box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
                border-radius: 8px;
                padding: 10px 15px;
                border: 1px solid #9680BB;
                color: #fff;
            }

                .header .head-menu li a:hover {
                    background: #fff;
                    color: #9680BB;
                }


/* */
.container-pages {
    display: flex;
    max-width: 100%;
    overflow-x: hidden;
}

.contents-ui {
    flex: 1;
    padding: 15px 25px;
    display: grid;
}

.main-contents {
    background: #FFFFFF;
    /* border: 1px solid #EAECF0;
    box-shadow: 0px 4px 8px -2px rgba(16, 24, 40, 0.1), 0px 2px 4px -2px rgba(16, 24, 40, 0.06);
    border-radius: 8px;*/
    /*min-height: calc(100vh - 90px);*/
}

.contents-row + .contents-row {
    margin-top: 20px;
}

/* */
.left-menu {
    width: 250px;
    min-width: 250px;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: rgba(47, 48, 67, 0.55);
    padding: 15px;
    background: #FFFFFF;
    border-right: 1px solid rgba(47, 48, 67, 0.08);
    /*height: calc(100vh - 150px);
    overflow-y: auto;*/
    border-right: 1px solid #EAECF0;
}

    .left-menu .cms-help-h1 {
        font-weight: 500;
        font-size: 16px;
        line-height: 17px;
        color: rgba(47, 48, 67, 0.55);
        border-left: 2px solid #ccc;
        padding-left: 15px;
    }

    .left-menu .cms-links-1 .cms-menus {
        font-weight: 500;
        font-size: 16px;
        line-height: 24px;
        color: #3a3a3a;
    }

.cms-menu-li a {
    color: #3a3a3a;
    margin: 0;
    padding: 12px;
    text-decoration: none;
}

.cms-menu-li:hover, .cms-menu-li.active {
    background: #7F56D9;
    border-radius: 6px;
}

    .cms-menu-li:hover a, .cms-menu-li.active a {
        color: #fff;
    }



.left-menu .cms-menus {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

    .left-menu .cms-menus li a {
        display: block;
    }

    .left-menu .cms-menus .toggle-links-h1 {
        font-weight: 500;
        font-size: 16px;
        line-height: 24px;
        display: flex;
        justify-content: space-between;
    }

        .left-menu .cms-menus .toggle-links-h1:after {
            content: "\f078";
            font-family: "Font Awesome 5 free";
            font-weight: 900;
            color: #98A2B3;
            font-size: 12px;
        }

    .left-menu .cms-menus li .cms-submenus {
        list-style-type: none;
        padding: 2px 10px;
        margin: 0;
    }

        .left-menu .cms-menus li .cms-submenus li a {
            display: block;
            padding: 10px 10px;
            font-weight: 500;
            font-size: 16px;
            line-height: 24px;
            color: #ffffff;
            border-radius: 6px;
        }

            .left-menu .cms-menus li .cms-submenus li a.active, .left-menu .cms-menus li .cms-submenus li a:hover {
                background: #F9FAFB;
                color: #7F56D9;
            }

            .left-menu .cms-menus li .cms-submenus li a:hover {
                color: #7F56D9;
            }

        .left-menu .cms-menus li .cms-submenus li.active a {
            background: #F9FAFB;
            color: #7F56D9;
        }
/* Hide submenus by default */
.cms-submenus {
    display: none;
    padding-left: 10px;
}

.cms-menu-li .submenu-toggle-links {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    display: flex;
    justify-content: space-between;
    position: relative;
}

/* Expanded state */
.cms-menu-li.open > .cms-submenus {
    display: block;
}

.cms-menu-li.has-submenu.open {
    background: #7F56D9;
    color: #ffffff;
    border-radius: 6px;
}

.cms-menu-li .submenu-toggle-links:after {
    content: "\f078";
    font-family: "Font Awesome 5 free";
    font-weight: 900;
    color: #3a3a3a;
    font-size: 12px;
    position: absolute;
    right: 10px;
}
/* Rotate arrow when open */
.cms-menu-li.open > .submenu-toggle-links::after {
    transform: rotate(180deg);
    color: #ffffff;
}

.cms-menu-li.has-submenu.open a {
    color: #ffffff;
}
/* Smooth animation */
.submenu-toggle-links::after {
    transition: transform 0.3s ease;
}

/* Cursor */
.submenu-toggle-links {
    cursor: pointer;
}


/* breadcrumb */
.breadcrumb .breadcrumb {
    margin-bottom: 0;
}

    .breadcrumb .breadcrumb .breadcrumb-item {
        font-weight: 400;
        font-size: 16px;
        line-height: 19px;
        color: #3a3a3a;
    }

        .breadcrumb .breadcrumb .breadcrumb-item a {
            color: #2F3043;
        }

/* search */
.search-ui-1 {
    position: relative;
    width: 300px;
}

    .search-ui-1 .fa-search {
        position: absolute;
        left: 18px;
        top: 12px;
    }

    .search-ui-1 .form-control-t1 {
        width: 100%;
        padding-left: 42px;
    }

/* */
.contents-helps-1 {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

.row-ui-s1 {
    padding: 15px 25px;
}

.btn-mock-primary {
    box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
    border-radius: 8px;
    border: 1px solid rgba(152, 110, 250, 1);
    padding: 10px 18px;
    font-size: 16px;
    line-height: 24px;
    text-shadow: 0px 2px 3px rgba(0, 0, 0, 0.25);
    background: #fff;
    color: rgba(152, 110, 250, 1);
}

.btn-primarhy-active {
    background: linear-gradient(270deg, #986EFA 27.07%, #D27BB8 155.73%);
    color: #FFFFFF;
}



/*------------------------------create-edit-css-----------*/
.create-edit-conatiner {
    background: #fff;
}



/*-------------pop-up-upload-button-----------------*/
.upload-section {
    border: 1px solid #ccc;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
}

    .upload-section .button-primary {
        cursor: pointer;
    }

    .upload-section .upload-file-details {
        display: flex;
        justify-content: center;
        margin-top: 5px;
    }

        .upload-section .upload-file-details .spanFormImage {
            margin-right: 25px;
            color: #838383;
        }

.upload-file-info {
    margin-top: 10px;
    display: block;
    color: #787878;
}

.button-links {
    cursor: pointer;
    color: #9D61FF;
    font-size: 18px;
    text-decoration: none;
    font-weight: 600;
}


/* grid table modify contents */
div.dataTables_wrapper {
    display: grid;
}

div.dataTables_scroll {
    overflow: auto;
    max-height: 400px;
}

    div.dataTables_scroll + .bottom {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-top: 20px;
    }

        div.dataTables_scroll + .bottom .dataTables_info {
            padding-top: 0 !important;
        }


div.dataTables_wrapper div.dataTables_filter {
    text-align: left !important;
    margin-bottom: 15px;
}

    div.dataTables_wrapper div.dataTables_filter input {
        width: 300px !important;
        height: 40px;
    }
/* grid table modify contents */
table.table-bordered.dataTable thead tr th, table.table-bordered.dataTable thead tr td {
    vertical-align: middle;
    color: #3a3a3a;
    font-size: 12px;
    font-weight: 500;
    line-height: 18px; /* 150% */
}

table.table-bordered.dataTable th, table.table-bordered.dataTable td {
    border-color: #EAECF0;
    color: #3a3a3a;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px; /* 142.857% */
}

table.dataTable.table-striped > tbody > tr.odd > * {
    box-shadow: none !important;
}

.table > :not(caption) > * > * {
    padding: 0.8rem 0.9rem !important;
}

.editBoard {
    margin-right: 10px;
}

    .editBoard .fa {
        margin-right: 0px;
    }

.deleteBoard {
    margin-left: 10px;
}

    .deleteBoard .fa {
        margin-right: 0px;
    }




.flex-form-row-1 {
    display: flex;
    align-items: center;
}

    .flex-form-row-1 .flex-form-cells-1 {
        flex: 1;
        margin: 0px 5px 15px;
    }

        .flex-form-row-1 .flex-form-cells-1 .control-label {
            margin-bottom: 5px;
        }


/*  */
.section-head-1 {
    padding: 25px;
    margin-top: -25px;
    margin-left: -25px;
    margin-bottom: 25px;
}

    .section-head-1.section-underline {
        border-bottom: 1px solid #EAEDEF;
    }

.section-content {
}

.section-footer-1 {
    padding: 25px;
    margin-top: -25px;
    margin-left: -25px;
    margin-top: 25px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    border-top: 1px solid #EAEDEF;
}

.max-w-1 {
    max-width: 600px;
}

/* custom file upload */

.file-upload .file-upload-select {
    display: block;
    color: #3a3a3a;
    cursor: pointer;
    text-align: left;
    background: #fff;
    overflow: hidden;
    position: relative;
    border-radius: 6px;
    border: 1px solid #d0d5dd;
}

    .file-upload .file-upload-select .file-select-button {
        background: #f6f6f6;
        padding: 10px;
        display: inline-block;
    }

    .file-upload .file-upload-select .file-select-name {
        display: inline-block;
        padding: 10px;
    }

    .file-upload .file-upload-select:hover .file-select-button {
        background: #f6f6f6;
        color: #3a3a3a;
    }

    .file-upload .file-upload-select input[type="file"] {
        display: block;
        top: 0;
        opacity: 0;
        bottom: 0;
        position: absolute;
    }


/* */
.flex-info-box-1 {
    border-radius: 8px;
    background: #F9F5FF;
    display: flex;
    padding: 8px;
    margin-top: 15px;
}

    .flex-info-box-1 .flex-info-ic {
        margin-right: 6px;
    }

    .flex-info-box-1 .flex-info-content {
        flex: 1;
    }

    .flex-info-box-1 .flex-info-title {
        color: #313131;
        font-size: 12px;
        font-weight: 700;
        line-height: 20px; /* 166.667% */
        display: block;
        margin-bottom: 2px;
        margin-top: 3px;
    }

    .flex-info-box-1 .flex-info-text-1 {
        display: block;
        margin-bottom: 5px;
        color: #313131;
        font-size: 12px;
        font-weight: 400;
        line-height: 20px;
    }



::-webkit-scrollbar-track {
    box-shadow: inset 0 0 8px rgba(0, 0, 0, 0.2);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    background-color: #f5f5f5;
}

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    border-radius: 16px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    background-color: #f5f5f5;
}

::-webkit-scrollbar-thumb {
    background-color: #c1c1c1;
    border-radius: 50px;
}

    ::-webkit-scrollbar-thumb:hover {
        background-color: #D27BB8;
    }

::-webkit-scrollbar-button {
    display: none;
}

* {
    scrollbar-face-color: #c1c1c1;
    scrollbar-shadow-color: #e2e2e2;
    scrollbar-track-color: #e2e2e2;
    scrollbar-arrow-color: #e2e2e2;
}

:focus {
    outline-color: #D27BB8;
}




.select2-container--default .select2-selection--single {
    background-color: #fff !important;
    border: 1px solid #D0D5DD;
    border-radius: 7px !important;
    height: 39px !important;
    padding: 3px !important;
}

    .select2-container--default .select2-selection--single .select2-selection__arrow {
        top: 6px !important;
        right: 5px !important;
    }

mjx-container[jax="CHTML"][display="true"] {
    display: inline-block !important;
}

.input-container {
    position: relative;
    display: inline-block;
    width:100% !important;
}

#customSearch {
    padding-right: 30px;
}
#clearBtn {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 18px;
    color: #888;
    display: none;
}

td.text-nowrap {
    white-space: nowrap !important;
}
td.details-control {
    cursor: pointer;
}

.toggle-icon {
    display: inline-block;
    width: 18px;
    height: 18px;
    line-height: 16px;
    text-align: center;
    border-radius: 50%;
    background-color: green;
    color: white;
    font-weight: bold;
}


.table-container {
    max-height: 300px; /* set height */
    overflow-y: auto; /* vertical scroll */
    overflow-x: hidden; /* no horizontal scroll */
}
.table-container .table thead th {
    position: sticky;
    top: 0;
    z-index: 2;
    background-color: #cfe2ff; /* same as table-primary */
}